#
# Conditional build:
%bcond_with	utf8	# build with UTF-8 support

Summary:	SQLite library
Summary(pl.UTF-8):	Biblioteka SQLite
Name:		sqlite
Version:	2.8.17
Release:	9
License:	LGPL
Group:		Libraries
# Source0Download: http://sqlite.org/download.html
Source0:	http://sqlite.org/%{name}-%{version}.tar.gz
# Source0-md5:	838dbac20b56d2c4292e98848505a05b
Patch0:		%{name}-DESTDIR.patch
Patch1:		format-security.patch
URL:		http://sqlite.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
BuildRequires:	readline-devel
BuildRequires:	tcl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

%description -l pl.UTF-8
SQLite jest biblioteką języka C, która implementuje silnik baz danych
SQL (obsługiwana jest większość standardu SQL92). Cała baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujące tę
bibliotekę charakteryzują się siłą i elastycznością SQLowych baz
danych bez konieczności utrzymywania osobnego serwera baz danych.
Ponieważ pomijana jest komunikacja klient-serwer i dane są zapisywane
bezpośrednio na dysku, SQLite jest szybsza od dużych serwerów
bazodanowych przy większości operacji na bazie danych. Dodatkowo
oprócz biblioteki języka C, dostarczany jest program do zarządzania
bazami danych.

%package devel
Summary:	Header files for SQLite development
Summary(pl.UTF-8):	Pliki nagłówkowe SQLite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

This package contains the header files needed to develop programs that
use these SQLite.

%description devel -l pl.UTF-8
SQLite jest biblioteką języka C, która implementuje silnik baz danych
SQL (obsługiwana jest większość standardu SQL92). Cała baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujące tę
bibliotekę charakteryzują się siłą i elastycznością SQLowych baz
danych bez konieczności utrzymywania osobnego serwera baz danych.
Ponieważ pomijana jest komunikacja klient-serwer i dane są zapisywane
bezpośrednio na dysku, SQLite jest szybsza od dużych serwerów
bazodanowych przy większości operacji na bazie danych. Dodatkowo
oprócz biblioteki języka C, dostarczany jest program do zarządzania
bazami danych.

Pakiet zawiera pliki nagówkowe niezbedne do kompilowania programów
używających biblioteki SQLite.

%package static
Summary:	Static libraries for SQLite development
Summary(pl.UTF-8):	Statyczne biblioteki SQLite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

This package contains the static SQLite libraries.

%description static -l pl.UTF-8
SQLite jest biblioteką języka C, która implementuje silnik baz danych
SQL (obsługiwana jest większość standardu SQL92). Cała baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujące tę
bibliotekę charakteryzują się siłą i elastycznością SQLowych baz
danych bez konieczności utrzymywania osobnego serwera baz danych.
Ponieważ pomijana jest komunikacja klient-serwer i dane są zapisywane
bezpośrednio na dysku, SQLite jest szybsza od dużych serwerów
bazodanowych przy większości operacji na bazie danych. Dodatkowo
oprócz biblioteki języka C, dostarczany jest program do zarządzania
bazami danych.

Pakiet zawiera statyczne biblioteki SQLite.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

find . -type d -name CVS | xargs %{__rm} -r

%build
%{__libtoolize} --install
%{__aclocal}
%{__autoconf}

%configure \
	%{?with_utf8:--enable-utf8}

%{__make}
%{__make} doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p sqlite.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/sqlite
%attr(755,root,root) %{_libdir}/libsqlite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsqlite.so.0
%{_mandir}/man1/sqlite.1*

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/libsqlite.so
%{_libdir}/libsqlite.la
%{_includedir}/sqlite.h
%{_pkgconfigdir}/sqlite.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsqlite.a
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sqlite.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 400338b
- release 9 (by relup.sh)

* Thu Sep 05 2019 Marcin Krol <hawk@tld-linux.org> c19cf39
- release 8

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 719cfbf
- rebuild with readline 7.0
- release 7 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d7f526e
- x32 rebuild
- release 6 (by relup.sh)

* Thu Dec 13 2012 Jan Rękorajski <baggins@pld-linux.org> eb7556c
- fix format string warning
- rel 5

* Sun Feb 26 2012 Elan Ruusamäe <glen@pld-linux.org> 2419ef2
- release 4

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 63130dd
- more verbose files, ghost soname symlink
- don't package CVS dir as doc

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b78bd08
- release 3

* Sun Jun 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 04572e7
- libtool epoch

* Sun Jun 29 2008 areq <areq@pld-linux.org> 8e37356
- fixed build with libtool 2.2

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 5d1bddc
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 813fa7e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a481eba
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> b19f3f4
- orphaned, outdated

* Mon Jan 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d952f7a
- up to 2.8.17

* Sat Sep 24 2005 Paweł Sikora <pluto@pld-linux.org> eecb998
- bcond header, cosmetics.

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 4665156
- new readline, 5.0

* Tue Feb 15 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8d73f41
- updated to 2.8.16
- STBR

* Mon Nov 01 2004 havner <havner@pld-linux.org> 7195a30
- rel 2

* Mon Nov 01 2004 havner <havner@pld-linux.org> c0de335
- should be ok now

